Making old campaigns compatible with Wagic 0.16

A place to find all custom made campaigns, mods and to discuss the story mode and how to create mods.
Post Reply
wololo
Site Admin
Posts: 3727
Joined: Wed Oct 15, 2008 12:42 am
Location: Japan

Making old campaigns compatible with Wagic 0.16

Post by wololo » Mon Jul 18, 2011 10:07 am

As Wagic evolves, there's a high possibility that old campaigns become incompatible.
One recent change I identified is that most likely, all old campaigns should add the following line to each of their rules files:

Code: Select all

include mtg.txt
This is because some basic mtg rules (such as the one explaining the game that basic lands provide mana) are now outside of the game, and in that external rule file.

Since most campaigns rely on the MTG rules for now, it is necessary to include this file in all .txt files that describe a duel/challenge, etc..

In doubt, please check the samples in the campaigns folder of wagic 0.16

bigman11
Posts: 6
Joined: Sat Nov 19, 2011 11:23 pm

Re: Making old campaigns compatible with Wagic 0.16

Post by bigman11 » Mon Nov 21, 2011 10:49 pm

Which campaigns have you/others found that this works for? I may be doing something wrong but Metal Scars is still broken and The Brother's War gets messed up after the first two battles.

*I believe I have the same issue addressed here:
viewtopic.php?f=12&t=3176
viewtopic.php?f=4&t=3108&start=100#p23583

mistressofpain
Posts: 4
Joined: Wed May 09, 2012 3:46 am

Re: Making old campaigns compatible with Wagic 0.16

Post by mistressofpain » Wed May 09, 2012 4:05 am

@bigman11 - The brothers war story mode needs some special modification even with this due to specific conditions in many of the duels. It works on the straightforward duel levels but not on the more unusual levels.

Post Reply